# NOTICE:
#
# Application name defined in TARGET has a corresponding QML filename.
# If name defined in TARGET is changed, the following needs to be done
# to match new name:
#   - corresponding QML filename must be changed
#   - desktop icon filename must be changed
#   - desktop filename must be changed
#   - icon definition filename in desktop file must be changed
#   - translation filenames have to be changed

# The name of your application
TARGET = harbour-allradio

CONFIG += sailfishapp

# App version
DEFINES += APP_VERSION=\"\\\"$${VERSION}\\\"\"

SOURCES += src/harbour-allradio.cpp

DISTFILES += qml/harbour-allradio.qml \
    ../../Programmering/harbour-labyrinth/qml/pages/About.qml \
    qml/cover/CoverPage.qml \
    qml/helpers/dummy.qml \
    qml/items/HeaderButton.qml \
    qml/items/SleepTimer.qml \
    qml/pages/AboutPage.qml \
    qml/pages/AllRadio.qml \
    qml/pages/CountryStationsPage.qml \
    qml/pages/FavoritesPage.qml \
    qml/pages/HistoryPage.qml \
    qml/pages/SearchStationsPage.qml \
    qml/pages/SecondPage.qml \
    qml/pages/SettingsPage.qml \
    qml/pages/TagListPage.qml \
    rpm/harbour-allradio.changes.in \
    rpm/harbour-allradio.changes.run.in \
    rpm/harbour-allradio.spec \
    rpm/harbour-allradio.yaml \
    translations/*.ts \
    harbour-allradio.desktop

SAILFISHAPP_ICONS = 86x86 108x108 128x128 172x172

# to disable building translations every time, comment out the
# following CONFIG line
CONFIG += sailfishapp_i18n

# German translation is enabled as an example. If you aren't
# planning to localize your app, remember to comment out the
# following TRANSLATIONS line. And also do not forget to
# modify the localized app name in the the .desktop file.
TRANSLATIONS += translations/harbour-allradio-de.ts
