import QtQuick 2.0
import QtGraphicalEffects 1.0
import Sailfish.Silica 1.0


    Rectangle {
        property alias text: text.text
        property bool down: false
        property alias fontSize: text.font.pixelSize
        property alias fontColor: text.color
        property alias icon: image.source
        property alias iconVisible: image.visible
        signal buttonClick()
        height: column.height
        width: column.width
        color: "transparent"// !down ? Theme.highlightDimmerColor : "transparent"
        opacity: !down ? 0.8 : 1.0
        //anchors.fill: parent
            Column {
                id: column
                anchors.centerIn: parent
                Image {
                    id: image
                    height: visible ? Theme.itemSizeExtraSmall * 0.8 : 0
                    anchors.horizontalCenter: parent.horizontalCenter
                    width: height
                }

                Label {
                    id: text
                    visible: text.text !== "" ? true : false
                    anchors.horizontalCenter: parent.horizontalCenter
                    color: down ? Theme.primaryColor : Theme.secondaryColor//highlighted ? Theme.primaryColor : Theme.secondaryColor
                  //  font.bold: down ? true : false
                }
                Rectangle {
                    anchors.horizontalCenter: parent.horizontalCenter
                    visible: down
                    width: text.width
                    height: Theme.paddingSmall * 0.4
                    color: fontColor//Theme.secondaryHighlightColor
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: parent.buttonClick()
            }
    }


